Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.wst.wsdl
Interface Port

All Superinterfaces:
  ExtensibleElement, javax.wsdl.Port, java.io.Serializable, WSDLElement

    public interface Port

extends ExtensibleElement, javax.wsdl.Port

A representation of the model object 'Port'.

Since:
  1.0
See Also:
  `WSDLPackage.getPort()`

Method Summary
`Binding` | `getEBinding()` Returns the value of the 'EBinding' reference
`java.lang.String` | `getName()` Returns the value of the 'Name' attribute
`void` | `setEBinding(Binding value)` Sets the value of the '`EBinding`' reference
`void` | `setName(java.lang.String value)` Sets the value of the '`Name`' attribute

Methods inherited from interface org.eclipse.wst.wsdl.ExtensibleElement
`addExtensibilityElement, getEExtensibilityElements, getExtensibilityElements`

Methods inherited from interface org.eclipse.wst.wsdl.WSDLElement
`elementChanged, getContainer, getDocumentationElement, getElement, getEnclosingDefinition, setDocumentationElement, setElement, setEnclosingDefinition, updateElement, updateElement`

Methods inherited from interface javax.wsdl.Port
`addExtensibilityElement, getBinding, getDocumentationElement, getExtensibilityElements, setBinding, setDocumentationElement`

Method Detail

### getName

    java.lang.String getName()

  Returns the value of the 'Name' attribute.

  If the meaning of the 'Name' attribute isn't clear, there really should be more of a description here...

  Specified by:
    `getName` in interface `javax.wsdl.Port`
  Returns:
    the value of the 'Name' attribute.
  See Also:
    `setName(String)`, `WSDLPackage.getPort_Name()`

### setName

    void setName(java.lang.String value)

  Sets the value of the '`Name`' attribute.

  Specified by:
    `setName` in interface `javax.wsdl.Port`
  Parameters:
    `value` - the new value of the 'Name' attribute.
  See Also:
    `getName()`

### getEBinding

    Binding getEBinding()

  Returns the value of the 'EBinding' reference.

  If the meaning of the 'EBinding' reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'EBinding' reference.
  See Also:
    `setEBinding(Binding)`, `WSDLPackage.getPort_EBinding()`

### setEBinding

    void setEBinding(Binding value)

  Sets the value of the '`EBinding`' reference.

  Parameters:
    `value` - the new value of the 'EBinding' reference.
  See Also:
    `getEBinding()`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD